![LOGO](docs/resource/img/bkci_cn.png)
---
[![license](https://img.shields.io/badge/license-mit-brightgreen.svg?style=flat)](https://github.com/Tencent/bk-ci/blob/master/LICENSE.txt) [![Release Version](https://img.shields.io/github/v/release/Tencent/bk-ci?include_prereleases)](https://github.com/Tencent/bk-ci/releases) [![Backend CI](https://github.com/Tencent/bk-ci/workflows/Backend%20CI/badge.svg?branch=master)](https://img.shields.io/github/workflow/status/Tencent/bk-ci/Tag%20Realse)

English | [简体中文](README.md)

> **Note**: The `master` branch may be in an unstable or even broken state during development. Please use [releases](https://github.com/tencent/bk-ci/releases) instead of  `master` branch in order to get stable binaries.

a free & open source CI server, bk-ci(BlueKing Continuous Integration) helps you automate your build-test-release workflows, continuous delivery of your product faster, easier, with fewer bugs.

bk-ci removes all the tedious tasks in R&D process and enables you to focus on coding. It is often used for:

- Project compilation
- Static code analysis
- Running test cases to find bugs in time
- Deployment and release

bk-ci provides five core services, namely Process, Repository, Ticket, Environment and Store. They can be combined in multiple ways to meet business needs in different scenarios.

- **Process**: It visualizes current R&D process of the team. One pipeline can handle compilation, testing and deployment.
- **Repository**: It links current source code hosting service of the enterprise to bk-ci.
- **Ticket**: It provides the management of various kinds of tickets and certificates for services like Repository and Process.
- **Environment**: It can host the internal agents of the enterprise on bk-ci.
- **Store**: It consists of pipeline plugins and pipeline templates. Plugins are used to integrate with various third-party services of the enterprise and templates help to standardize its internal R&D process.

## Overview

- [Architecture](docs/overview/architecture.en.md)
- [Code Directory](docs/overview/code_framework.en.md)
- [Design](docs/overview/design.en.md)

## Features

- Continuous integration and continuous delivery: Due to the scalability of the framework, bk-ci can not only be used in simple CI scenarios, but also as the continuous delivery center of all the projects of the enterprise.
- What you see is what you get: bk-ci provides flexible and visualized pipelines for you to orchestrate. Move your fingers and you can describe the R&D process here.
- Parallel and scalable framework: The flexible framework can be scaled horizontally at will to meet the enterprise’s need for large-scale use.
- Distributed system: bk-ci can manage multiple agents easily to help you perform cross-platform build, testing and deployment in a faster manner.
- Pipeline plugins: bk-ci has a complete plugin development system with properties like low barrier to entry and scalability.
- Pipeline templates: It promotes the standardization of R&D within the enterprise.

## Experience

- [bk-ci in docker](https://hub.docker.com/r/blueking/bk-ci)

## Getting started

- [Download and Compile](docs/overview/source_compile.en.md)
- [Install and Deploy Within One Minute](docs/overview/installation.en.md)

## Support

1. [wiki](https://github.com/Tencent/bk-ci/wiki)
2. [BlueKing Forum](https://bk.tencent.com/s-mart/community)
3. QQ Group: 744672165

## BlueKing Community

- [BK-BCS](https://github.com/Tencent/bk-bcs): BlueKing Container Service is an orchestration platform for microservices based on container technology.
- [BK-BCS-SaaS](https://github.com/Tencent/bk-bcs-saas): SaaS of BlueKing Container Service is based on two modes, the native Kubernetes mode and the Mesos self-developed mode. It provides highly scalable, flexible and easy-to-use container management service for users.
- [BK-CMDB](https://github.com/Tencent/bk-cmdb): BlueKing Configuration Management DataBase (BlueKing CMDB) is an enterprise level configuration management platform for assets and applications.
- [BK-PaaS](https://github.com/Tencent/bk-PaaS): BlueKing PaaS is an open development platform that allows developers to create, develop, deploy and manage SaaS applications quickly and easily.
- [BK-SOPS](https://github.com/Tencent/bk-sops): BlueKing Standard OPS (SOPS) is a light-weighted SaaS product in the Tencent BlueKing product system designed for the orchestration and execution of tasks through a graphical interface.

## Contributing

- Please read [Contributing](CONTRIBUTING.en.md) for the branch management, issue and pr specifications of bk-ci.
- [Tencent Open Source Incentive Program](https://opensource.tencent.com/contribution) encourages the participation and contribution of developers. We look forward to having you join it.

## License
BK-CI is based on the MIT license. Please refer to [LICENCE](LICENSE.txt) for details.

