/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 *
 * Terms of the MIT License:
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package com.tencent.devops.openapi.pojo.external.measure

import com.tencent.devops.plugin.codecc.pojo.CodeccCallback
import com.tencent.devops.quality.api.v2.pojo.QualityRuleIntercept
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

@ApiModel("流水线构建查询接口响应数据")
data class PipelineBuildResponseData(
    @ApiModelProperty("流水线对应的项目id")
    val projectId: String = "",
    @ApiModelProperty("projectCode")
    val projectCode: String = "",
    @ApiModelProperty("bgName")
    val bgName: String = "",
    @ApiModelProperty("centerName")
    val centerName: String = "",
    @ApiModelProperty("deptName")
    val deptName: String = "",
    @ApiModelProperty("流水线的id")
    val pipelineId: String = "",
    @ApiModelProperty("流水线的名称")
    val pipelineName: String = "",
    @ApiModelProperty("构建版本号")
    val buildNum: Int = 0,
    @ApiModelProperty("流水线的这次构建的id")
    val buildId: String = "",
    @ApiModelProperty("流水线的启动时间")
    val beginTime: Long = 0,
    @ApiModelProperty("流水线的结束时间")
    val endTime: Long = 0,
    @ApiModelProperty("流水线的启动方式")
    val startType: String = "",
    @ApiModelProperty("流水线的启动用户")
    val buildUser: String = "",
    @ApiModelProperty("流水线的是否并行")
    val isParallel: Boolean = false,
    @ApiModelProperty("流水线的构建结果")
    val buildResult: String = "",
    @ApiModelProperty("流水线Element结构")
    val elements: List<BuildElementData> = emptyList(),
    @ApiModelProperty("Codecc报告")
    val codeccReport: CodeccCallback? = null,
    @ApiModelProperty("质量红线数据", required = false)
    var qualityData: List<QualityRuleIntercept>? = null,
    @ApiModelProperty("是否 PCG 公共构件资源")
    val dispatchTypeContainsPcg: Boolean = false,
    @ApiModelProperty("templateId", required = false)
    val templateId: String? = "",
    @ApiModelProperty("model", required = false)
    val model: String? = "",
    @ApiModelProperty("插件错误信息", required = false)
    val errorInfoList: String? = null
)