/*
 * Tencent is pleased to support the open source community by making BK-CODECC 蓝鲸代码检查平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CODECC 蓝鲸代码检查平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 *
 * Terms of the MIT License:
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package com.tencent.bk.codecc.defect.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jboss.logging.Field;

import java.util.List;

/**
 * 文件告警收敛
 *
 * @version V3.0
 * @date 2020/05/26
 */
@Data
@ApiModel("文件告警收敛")
public class FileDefectGatherVO
{
    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件总数")
    private Integer fileCount;

    @ApiModelProperty(value = "告警总数")
    private Integer defectCount;

    @ApiModelProperty(value = "收敛文件列表")
    private List<GatherFile> gatherFileList;

    @Data
    public static class GatherFile
    {
        @ApiModelProperty(value = "文件路径")
        private String filePath;

        @ApiModelProperty(value = "文件相对路径")
        private String relPath;

        @ApiModelProperty(value = "告警总数")
        private Integer total;
    }
}
