USE devops_ci_plugin;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for T_PLUGIN_CODECC
-- ----------------------------

CREATE TABLE IF NOT EXISTS `T_PLUGIN_CODECC` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `PROJECT_ID` varchar(64) DEFAULT NULL,
  `PIPELINE_ID` varchar(34) DEFAULT NULL,
  `BUILD_ID` varchar(34) DEFAULT NULL,
  `TASK_ID` varchar(34) DEFAULT NULL,
  `TOOL_SNAPSHOT_LIST` longtext,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `BUILD_ID_KEY` (`BUILD_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for T_PLUGIN_CODECC_ELEMENT
-- ----------------------------

CREATE TABLE IF NOT EXISTS `T_PLUGIN_CODECC_ELEMENT` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `PROJECT_ID` varchar(128) DEFAULT NULL,
  `PIPELINE_ID` varchar(34) DEFAULT NULL,
  `TASK_NAME` varchar(256) DEFAULT NULL,
  `TASK_CN_NAME` varchar(256) DEFAULT NULL,
  `TASK_ID` varchar(128) DEFAULT NULL,
  `IS_SYNC` varchar(6) DEFAULT NULL,
  `SCAN_TYPE` varchar(6) DEFAULT NULL,
  `LANGUAGE` varchar(1024) DEFAULT NULL,
  `PLATFORM` varchar(16) DEFAULT NULL,
  `TOOLS` varchar(1024) DEFAULT NULL,
  `PY_VERSION` varchar(16) DEFAULT NULL,
  `ESLINT_RC` varchar(16) DEFAULT NULL,
  `CODE_PATH` longtext,
  `SCRIPT_TYPE` varchar(16) DEFAULT NULL,
  `SCRIPT` longtext,
  `CHANNEL_CODE` varchar(16) DEFAULT NULL,
  `UPDATE_USER_ID` varchar(128) DEFAULT NULL,
  `IS_DELETE` varchar(6) DEFAULT NULL,
  `UPDATE_TIME` datetime DEFAULT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `PROJECT_PIPELINE_INDEX` (`PROJECT_ID`,`PIPELINE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for T_PLUGIN_GITHUB_CHECK
-- ----------------------------

CREATE TABLE IF NOT EXISTS `T_PLUGIN_GITHUB_CHECK` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `PIPELINE_ID` varchar(64) NOT NULL,
  `BUILD_NUMBER` int(11) NOT NULL,
  `REPO_ID` varchar(64) DEFAULT NULL,
  `COMMIT_ID` varchar(64) NOT NULL,
  `CHECK_RUN_ID` int(11) NOT NULL,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP,
  `REPO_NAME` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `PIPELINE_ID_REPO_ID_COMMIT_ID` (`PIPELINE_ID`,`COMMIT_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for T_PLUGIN_GIT_CHECK
-- ----------------------------

CREATE TABLE IF NOT EXISTS `T_PLUGIN_GIT_CHECK` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `PIPELINE_ID` varchar(64) NOT NULL,
  `BUILD_NUMBER` int(11) NOT NULL,
  `REPO_ID` varchar(64) DEFAULT NULL,
  `COMMIT_ID` varchar(64) NOT NULL,
  `CREATE_TIME` datetime NOT NULL,
  `UPDATE_TIME` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP,
  `REPO_NAME` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `PIPELINE_ID_REPO_ID_COMMIT_ID` (`PIPELINE_ID`,`COMMIT_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

SET FOREIGN_KEY_CHECKS = 1;
